clusterConfig:
  manifests: https://gitlab.com/oceanbox/manifests.git
  env: "" #[dev, test, staging, prod]
  initca: ""
  domain: ".local"
  apiserver: ""
  apiserverip: ""
  etcd_nodes: []
  k8s_nodes: []
  cluster: ""
  ingress_nodes: []
  ingress_replica_count: 3
  fileserver: ""
  acme_email: ""
  nodenames: []
  nodes: []
  ingress_clusterissuer: "letsencrypt-production"
  ingress_whitelist:
    - 10.0.0.0/8
    - 172.16.0.0/12
    - 192.168.0.0/16
    - 172.19.255.0/24
    - 100.64.0.0/12 # tailnet
  ingress_hostnetwork: false
  ingress_hostport: false
  ingress_nodeport: true
  oidc: []
    #- name: azure
    #  provider: azuread
    #  tenant: "https://login.microsoftonline.com/<tenant>/oauth2/v2.0"
    #  secret_ref:
    #    name: azure-oidc
    #  group_id: "<group_id>"
    #- name: github
    #  provider: github
    #  secret_ref:
    #    name: github-oidc
    #  allowed_organizations: <org>
    #  allowed_teams: <team-id>
  s3:
    hosts: []
    patterns: []
    cidr: []
  argo:
    enabled: true
  cilium:
    enabled: true
  kyverno:
    enabled: true
